function [MS] = decompose(V,nbpoint,label)
 
 %V       : signal
 %profmax : depth of decomposition 
 %type    : if equal 0, linear prediction if equal 1 nonlinear prediction 
  
 V0 = double(V);
 MS = [];
 L      = length(V);
 taille = log2(L);

 for  j = 2:nbpoint, 
    V1 = 1/2*(V0(1:2:end-1)+V0(2:2:end));     %projection
    V  = predictionNL(V1,label{j});           %prediction
    MS = [V0(1:2:end-1)-V(1:2:end-1) MS];   
    V0 = V1;
 end

 for  j = nbpoint+1:taille, 
    V1 = 1/2*(V0(1:2:end-1)+V0(2:2:end));
    V  = predictionL(V1);
    MS = [V0(1:2:end-1)-V(1:2:end-1) MS];
    V0 = V1;
 end
 
 MS = [V0 MS];
 